package classes
{
	public class ExerciseData
	{
		private var _duration:int;
						
		static public const KIND_PAUSE:int=0;
		static public const KIND_SINE:int=1;
		private var _kind:int; //0=pause, 1=sine
		
		static public const RESULT_UNDETERMINED:int = -1;
		static public const RESULT_FAILED:int = 0;
		static public const RESULT_PASSED:int = 1;
		public var result:int = RESULT_UNDETERMINED; //-1=undetermined, 0=failed, 1=passed

		public var actualDuration:int = 0;

		public function ExerciseData(Duration:int, Kind:int)
		{
			_duration = Duration;
			_kind = Kind;
		}
		
		public function get kind():int
		{
			return _kind;
		}
	}
}