package com.stepnetworks.remotes.exercise
{
	import flash.utils.IDataInput;
	import flash.utils.IDataOutput;
	import flash.utils.IExternalizable;
	
	[RemoteClass(alias="com.stepnetworks.flex.remotes.ExerciseSpecifics")]
	public class ExerciseSpecifics implements IExternalizable
	{
		private var fExerciseID : int;
		private var fName : String;
		private var fDescription : String;
		private var fSyllabicDuration : Number;
		private var fExerciseType : int;
		
		public function get ExerciseID() : int
		{
			return fExerciseID;
		} 
		
		public function get Name() : String
		{
			return fName;
		}
		
		public function get Description() : String
		{
			return fDescription;
		}
		
		public function get SyllabicDuration() : Number
		{
			return fSyllabicDuration;
		}
		
		public function get ExerciseType() : int
		{
			return fExerciseType;
		}
		
		public function readExternal(input :IDataInput) : void
		{
			fExerciseID = input.readInt();
			fName = input.readUTF();
			fDescription = input.readUTF();
			fSyllabicDuration = input.readDouble();
			fExerciseType = input.readInt();
		}
		
		public function writeExternal(output : IDataOutput) : void
		{
			//dont write exercise data out...in only
		}
	}
}