package com.stepnetworks.remotes.user
{
	import flash.utils.IDataInput;
	import flash.utils.IDataOutput;
	import flash.utils.IExternalizable;
	
	[RemoteClass(alias="com.stepnetworks.flex.remotes.User")]
	public class User implements IExternalizable
	{
		private var fUserID : int;
		private var fUsername:  String;
		private var fPassword: String;
		private var fFirstName : String;
		private var fLastName : String;
		private var fEnabled: Boolean;

		public function User()
		{
			fUserID = -1;
			fUsername = "";
			fPassword = "";
			fEnabled = false;
		}
		
		[Bindable]		
		public function get UserID() : int
		{
			return fUserID;
		}
		
		public function set UserID(UserID : int) : void
		{
			fUserID = UserID;
		}
		
		[Bindable]
		public function get Firstname() : String
		{
			return fFirstName;
		}
		
		public function set Firstname(Name : String) : void
		{
			fFirstName = Name;
		}
		
		[Bindable]
		public function get Lastname() : String
		{
			return fLastName;
		}
		
		public function set Lastname(Name : String) : void
		{
			fLastName = Name;
		}
		
		[Bindable]
		public function get Username() : String
		{
			return fUsername;
		}
		
		public function set Username(Username :String) : void
		{
			fUsername = Username;
		}
		
		public function get Password() : String
		{
			return fPassword;
		}
		
		public function set Password(Password:String) : void
		{
			fPassword = Password;
		}
		
		[Bindable]
		public function get Enabled() : Boolean
		{
			return fEnabled;
		}
		
		public function set Enabled (Enabled : Boolean) : void
		{
			fEnabled = Enabled;
		}
		
		public function readExternal(input : IDataInput) : void
		{
			fUserID = input.readInt();
			fUsername = input.readUTF();
			fFirstName = input.readUTF();
			fLastName = input.readUTF();
			fPassword = input.readUTF();
			fEnabled = input.readBoolean();
		}
		
		public function writeExternal(output : IDataOutput) : void
		{
			output.writeInt(fUserID);
			output.writeUTF(fUsername);
			output.writeUTF(fFirstName);
			output.writeUTF(fLastName);
			output.writeUTF(fPassword);
			output.writeBoolean(fEnabled);
		}
	}
}