package com.stepnetworks.flex.remotes;

import org.red5.io.amf3.IDataInput;
import org.red5.io.amf3.IDataOutput;
import org.red5.io.amf3.IExternalizable;

public class CustomizationOptions implements IExternalizable{
	private String fNickName;
	private int fGender;
	private int fHairStyle;
	private int fSkinColor;
	private int fOutfitColor;
	
	public String getNickname()
	{
		return fNickName;
	}
	
	public void setNickName(String Nickname)
	{
		fNickName = Nickname;
	}
	
	public int getHairStyle()
	{
		return fHairStyle;
	}
	
	public void setHairStyle(int HairStyle)
	{
		fHairStyle = HairStyle;
	}
	
	public int getSkinColor()
	{
		return fSkinColor;
	}
	
	public void setSkinColor(int SkinColor)
	{
		fSkinColor = SkinColor;
	}
	
	public int getOutfitColor()
	{
		return fOutfitColor;
	}
	
	public void setOutfitColor(int OutfitColor)
	{
		fOutfitColor = OutfitColor;
	}
	
	public int getGender()
	{
		return fGender;
	}
	
	public void setGender(int Gender)
	{
		fGender = Gender;
	}
	
	public void readExternal(IDataInput Input)
	{
		fNickName = Input.readUTF();
		fGender = Input.readInt();
		fSkinColor = Input.readInt();
		fHairStyle = Input.readInt();
		fOutfitColor = Input.readInt();
	}
	
	public void writeExternal(IDataOutput Output)
	{
		Output.writeUTF(fNickName);
		Output.writeInt(fGender);
		Output.writeInt(fSkinColor);
		Output.writeInt(fHairStyle);
		Output.writeInt(fOutfitColor);
	}
}
