package com.stepnetworks.remotes.exercise
{
	import flash.utils.IDataInput;
	import flash.utils.IDataOutput;
	import flash.utils.IExternalizable;
	
	[RemoteClass(alias="com.stepnetworks.flex.remotes.ExerciseWordScore")]
	public class ExerciseWordScore implements IExternalizable
	{
		private var fUserID : int;
		private var fExerciseWordID : int;
		private var fWordScore : int;
		private var fWordText : String;
		private var fExerciseDesc : String;

		public function get UserID() : int
		{
			return fUserID;
		}
		
		public function set UserID(UserID : int) : void
		{
			fUserID = UserID;
		}
		
		public function get ExerciseWordID() : int
		{
			return fExerciseWordID;
		}
		
		public function set ExerciseWordID(WordID : int) : void
		{
			fExerciseWordID = WordID;
		}
		
		public function get Score() : int
		{
			return fWordScore;
		}
		
		public function set Score(val : int) : void
		{
			fWordScore = val;
		}
		
		public function get WordText() : String
		{
			return fWordText;
		}
		
		public function get ExerciseDescription() : String
		{
			return fExerciseDesc;
		}

		public function readExternal(input : IDataInput) : void
		{
			fUserID = input.readInt();
			fExerciseWordID = input.readInt();
			fWordScore = input.readInt();
			fWordText = input.readUTF();
			fExerciseDesc = input.readUTF();
		}

		public function writeExternal(output : IDataOutput) : void 
		{
			output.writeInt(fUserID);
			output.writeInt(fExerciseWordID);
			output.writeInt(fWordScore);
		}		
	}
}