package com.stepnetworks.remotes.exercise
{
	import flash.utils.IDataInput;
	import flash.utils.IDataOutput;
	import flash.utils.IExternalizable;
	
	[RemoteClass(alias="com.stepnetworks.flex.remotes.ExerciseWordSpecifics")]
	public class ExerciseWordSpecifics implements IExternalizable
	{
		private var fWordID : int;
		private var fWord : String;
		private var fSyllables : int;
		private var fExerciseID : int;
		
		public function ExerciseWordSpecifics() : void
		{
		}
				
		public function get WordID() : int
		{
			return fWordID;
		}
		
		public function get Word() : String
		{
			return fWord;
		}
		
		public function get Syllables() : int
		{
			return fSyllables;
		}

		public function get ExerciseID() : int
		{
			return fExerciseID;
		} 
		
		public function readExternal(input : IDataInput) : void
		{
			fWordID = input.readInt();
			fWord = input.readUTF();
			fSyllables = input.readInt();
			fExerciseID = input.readInt();
		}
		
		public function writeExternal(output : IDataOutput) : void
		{
			//no need to write back
		}
	}
}