package com.stepnetworks.flex.remotes;

import org.red5.io.amf3.IDataInput;
import org.red5.io.amf3.IDataOutput;
import org.red5.io.amf3.IExternalizable;

public class ExerciseWordScore implements IExternalizable{
	private int fUserID;
	private int fExerciseWordID;
	private int fWordScore;
	private String fWordText;
	private String fExerciseDescription;
	
	public void setUserID(int UserID)
	{
		fUserID = UserID;
	}
	
	public int getUserID()
	{
		return fUserID;
	}
	
	public void setExerciseWordID(int WordID)
	{
		fExerciseWordID = WordID;
	}
	
	public int getExerciseWordID()
	{
		return fExerciseWordID;
	}
	
	public void setWordScore(int Score)
	{
		fWordScore = Score;
	}
	
	public int getWordScore()
	{
		return fWordScore;
	}
	
	public void setWordText(String WordText)
	{
		fWordText = WordText;
	}
	
	public String getWordText()
	{
		return fWordText;
	}
	
	public void setExerciseDescription(String Description)
	{
		fExerciseDescription = Description;
	}
		
	public void readExternal(IDataInput input) {
		fUserID = input.readInt();
		fExerciseWordID = input.readInt();
		fWordScore = input.readInt();
	}

	public void writeExternal(IDataOutput output) {
		output.writeInt(fUserID);
		output.writeInt(fExerciseWordID);
		output.writeInt(fWordScore);
		output.writeUTF(fWordText);
		output.writeUTF(fExerciseDescription);
	}

}
