package com.stepnetworks.flex.remotes;

import org.red5.io.amf3.IDataInput;
import org.red5.io.amf3.IDataOutput;
import org.red5.io.amf3.IExternalizable;

public class ExerciseWordSpecifics implements IExternalizable{
	private int fWordID;
	private String fWord;
	private int fSyllables;
	private int fExerciseID;
	
	public void setWordID(int WordID)
	{
		fWordID = WordID;
	}
	
	public int getWordID()
	{
		return fWordID;
	}
	
	public void setWord(String Word)
	{
		fWord = Word;
	}
	
	public String getWord()
	{
		return fWord;
	}
	
	public void setSyllables(int Syllables)
	{
		fSyllables = Syllables;
	}
	
	public int getSyllables()
	{
		return fSyllables;
	}
	
	public void setExerciseID(int ExerciseID)
	{
		fExerciseID = ExerciseID;
	}
	
	public int getExerciseID()
	{
		return fExerciseID;
	}
	
	public void readExternal(IDataInput input) {
		//no need to read back
	}

	public void writeExternal(IDataOutput output) {
		output.writeInt(fWordID);
		output.writeUTF(fWord);
		output.writeInt(fSyllables);
		output.writeInt(fExerciseID);
	}
}
